# classes/phing/types/selectors/DepthSelector.php

Selector that filters files based on the how deep in the directory tree they are.

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors
version
  $Revision: 526 $

## \DepthSelector
jump to top

Selector that filters files based on the how deep in the directory tree they are.

It provides support for gathering the parameters together as well as for assigning an error message and throwing a build exception if an error is detected.

Extends from
  \BaseExtendSelector
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors
version
  $Revision: 526 $

### Constants

`MIN_KEY = 'min'`

`MAX_KEY = 'max'`

### Properties

`$max= ''`
Details

Type

`$min= ''`
Details

Type

### Methods

`isSelected( \basedir $basedir, \filename $filename, \file $file ) : \whether`
The heart of the matter. This is where the selector gets to decide on the inclusion of a file in a particular fileset. Most of the work for this selector is offloaded into SelectorUtils, a static class that provides the same services for both FilenameSelector and DirectoryScanner.
Parameters

Name | Type | Description
--- | --- | ---
$basedir | \basedir | the base directory the scan is being done from
$filename | \filename | is the name of the file to check
$file | \file | is a PhingFile object the selector can use

Returns

Type | Description
--- | ---
\whether |

`setMax( \min $max ) :`
The minimum depth below the basedir before a file is selected.
Parameters

Name | Type | Description
--- | --- | ---
$max | \min | maximum directory levels below basedir to go

`setMin( \min $min ) :`
The minimum depth below the basedir before a file is selected.
Parameters

Name | Type | Description
--- | --- | ---
$min | \min | minimum directory levels below basedir to go

`setParameters( \parameters $parameters ) :`
When using this as a custom selector, this method will be called.

It translates each parameter into the appropriate setXXX() call.

Parameters

Name | Type | Description
--- | --- | ---
$parameters | \parameters | the complete set of parameters for this selector

`toString( ) :`
`verifySettings( ) :`
Checks to make sure all settings are kosher. In this case, it means that the max depth is not lower than the min depth.
Documentation was generated by DocBlox 0.13.1.